Count an Event's guests
curl --request GET \
--url https://api.cal.com/v2/events/{uuid}/registrations/counts \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/events/{uuid}/registrations/counts"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/events/{uuid}/registrations/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/events/{uuid}/registrations/counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/events/{uuid}/registrations/counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/events/{uuid}/registrations/counts")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/events/{uuid}/registrations/counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"pendingApproval": 123,
"waitlisted": 123,
"pendingPayment": 123,
"offerExpired": 123,
"declined": 123,
"cancelled": 123,
"confirmed": 123,
"going": 123,
"checkedIn": 123,
"rsvpResponses": {
"yes": 123,
"no": 123,
"maybe": 123
},
"byLocation": [
{
"count": 123,
"locationId": "<string>"
}
]
}
}Events
Count an Event's guests
Returns how many of the Event’s guests are in each status, how many answered each RSVP, how many are checked in and how many seats each location holds, as the roster’s tabs show them. The authenticated user must be the Event’s owner, one of its hosts, an accepted co-host, or a member of the owning team. PBAC permission for team events: calEvent.read. If accessed using an OAuth access token, the EVENT_READ scope is required.
GET
/
v2
/
events
/
{uuid}
/
registrations
/
counts
Count an Event's guests
curl --request GET \
--url https://api.cal.com/v2/events/{uuid}/registrations/counts \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/events/{uuid}/registrations/counts"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/events/{uuid}/registrations/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/events/{uuid}/registrations/counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/events/{uuid}/registrations/counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/events/{uuid}/registrations/counts")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/events/{uuid}/registrations/counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"pendingApproval": 123,
"waitlisted": 123,
"pendingPayment": 123,
"offerExpired": 123,
"declined": 123,
"cancelled": 123,
"confirmed": 123,
"going": 123,
"checkedIn": 123,
"rsvpResponses": {
"yes": 123,
"no": 123,
"maybe": 123
},
"byLocation": [
{
"count": 123,
"locationId": "<string>"
}
]
}
}Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Event UUID. Accepts the canonical UUID (e.g. 018ff5cd-6dc4-7d57-bcbc-374702ca8b38) or its short-uuid (Flickr Base58) form (e.g. 1cbZYoAFoJdwqN4tixezd5).
Was this page helpful?